#pragma once
#include "CStaticWave\TrendChart.h"
#include "afxwin.h"

// CDialogTrendChart 对话框

class CDialogTrendChart : public CDialogEx
{
	DECLARE_DYNAMIC(CDialogTrendChart)

public:
	CDialogTrendChart(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CDialogTrendChart();
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
// 对话框数据
	enum { IDD = IDD_DIALOG_TREND_CHART };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持
	LRESULT OnMonitorStatus(WPARAM wPara, LPARAM lPara);
	DECLARE_MESSAGE_MAP()
public:
	CTrendChart *m_pCTrendChart;
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedButtonTrendChartDownRange();
	afx_msg void OnBnClickedButtonTrendChartUpRange();
	// 趋势参数
	CComboBox m_ComboPara;
	afx_msg void OnCbnSelchangeComboTrendChartPara();
	afx_msg void OnBnClickedButtonTrendChartPre();
	afx_msg void OnBnClickedButtonTrendChartNext();
};
